extends Control

@export var ThreeTasksButton: PackedScene
@export var OneTaskButton: PackedScene
@export var RepeatingButton: PackedScene

func _ready():
	if !FileAccess.file_exists("Tasks.txt"):
		get_node("SaveNode").SaveVars("Tasks", 0)

func Three_Tasks_Button():
	get_tree().change_scene_to_packed(ThreeTasksButton)

func One_Task_Button():
	get_tree().change_scene_to_packed(OneTaskButton)

func Repeating_Button():
	get_tree().change_scene_to_packed(RepeatingButton)

func _on_volume_value_changed(value):
	AudioServer.set_bus_volume_db(0, value)
	get_node("TestSoundEffect").play()
